diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -9742,17 +8309,17 @@ test_stack_frames ()
   /* "q" global.  */
   tree q = build_global_decl ("q", ptr_type_node);
 
-  region_model2_manager mgr;
-  test_region_model2_context ctxt;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  test_region_model_context ctxt;
+  region_model model (&mgr);
 
   /* Push stack frame for "parent_fn".  */
-  const region2 *parent_frame_reg
+  const region *parent_frame_reg
     = model.push_frame (DECL_STRUCT_FUNCTION (parent_fndecl),
 			NULL, &ctxt);
   ASSERT_EQ (model.get_current_frame (), parent_frame_reg);
   ASSERT_TRUE (model.region_exists_p (parent_frame_reg));
-  const region2 *a_in_parent_reg = model.get_lvalue (a, &ctxt);
+  const region *a_in_parent_reg = model.get_lvalue (a, &ctxt);
   model.set_value (a_in_parent_reg,
 		   model.get_rvalue (int_42, &ctxt),
 		   &ctxt);
@@ -9767,11 +8334,11 @@ test_stack_frames ()
 	     tristate (tristate::TS_TRUE));
 
   /* Push stack frame for "child_fn".  */
-  const region2 *child_frame_reg
+  const region *child_frame_reg
     = model.push_frame (DECL_STRUCT_FUNCTION (child_fndecl), NULL, &ctxt);
   ASSERT_EQ (model.get_current_frame (), child_frame_reg);
   ASSERT_TRUE (model.region_exists_p (child_frame_reg));
-  const region2 *x_in_child_reg = model.get_lvalue (x, &ctxt);
+  const region *x_in_child_reg = model.get_lvalue (x, &ctxt);
   model.set_value (x_in_child_reg,
 		   model.get_rvalue (int_0, &ctxt),
 		   &ctxt);
@@ -9785,25 +8352,25 @@ test_stack_frames ()
 	     tristate (tristate::TS_TRUE));
 
   /* Point a global pointer at a local in the child frame:  p = &x.  */
-  const region2 *p_in_globals_reg = model.get_lvalue (p, &ctxt);
+  const region *p_in_globals_reg = model.get_lvalue (p, &ctxt);
   model.set_value (p_in_globals_reg,
-		   mgr.get_ptr_svalue2 (ptr_type_node, x_in_child_reg),
+		   mgr.get_ptr_svalue (ptr_type_node, x_in_child_reg),
 		   &ctxt);
   ASSERT_EQ (p_in_globals_reg->maybe_get_frame_region (), NULL);
 
   /* Point another global pointer at p: q = &p.  */
-  const region2 *q_in_globals_reg = model.get_lvalue (q, &ctxt);
+  const region *q_in_globals_reg = model.get_lvalue (q, &ctxt);
   model.set_value (q_in_globals_reg,
-		   mgr.get_ptr_svalue2 (ptr_type_node, p_in_globals_reg),
+		   mgr.get_ptr_svalue (ptr_type_node, p_in_globals_reg),
 		   &ctxt);
 
-  /* Test region2::descendent_of_p.  */
+  /* Test region::descendent_of_p.  */
   ASSERT_TRUE (child_frame_reg->descendent_of_p (child_frame_reg));
   ASSERT_TRUE (x_in_child_reg->descendent_of_p (child_frame_reg));
   ASSERT_FALSE (a_in_parent_reg->descendent_of_p (child_frame_reg));
 #if 0
-  auto_vec<region2_id> test_vec;
-  for (region2_id_set::iterator_t iter = descendents.begin ();
+  auto_vec<region_id> test_vec;
+  for (region_id_set::iterator_t iter = descendents.begin ();
        iter != descendents.end ();
        ++iter)
     test_vec.safe_push (*iter);
@@ -9817,17 +8384,17 @@ test_stack_frames ()
 #endif
 
   /* Pop the "child_fn" frame from the stack.  */
-  purge_stats2 purged;
+  purge_stats purged;
   model.pop_frame (NULL, true, &purged, NULL, &ctxt);
   ASSERT_FALSE (model.region_exists_p (child_frame_reg));
   ASSERT_TRUE (model.region_exists_p (parent_frame_reg));
 
 #if 0
   /* We should have purged the unknown values for x and y. */
-  ASSERT_EQ (purged.m_num_svalue2s, 2);
+  ASSERT_EQ (purged.m_num_svalues, 2);
 
-  /* We should have purged the frame region2 and the region2s for x and y. */
-  ASSERT_EQ (purged.m_num_region2s, 3);
+  /* We should have purged the frame region and the regions for x and y. */
+  ASSERT_EQ (purged.m_num_regions, 3);
 
   /* We should have purged the constraint on y.  */
   ASSERT_EQ (purged.m_num_equiv_classes, 1);
@@ -9836,16 +8403,16 @@ test_stack_frames ()
 
   /* Verify that p (which was pointing at the local "x" in the popped
      frame) has been poisoned.  */
-  const svalue2 *new_p_sval = model.get_rvalue (p, &ctxt);
-  ASSERT_EQ (new_p_sval->get_kind (), svalue2::SK_POISONED);
-  ASSERT_EQ (new_p_sval->dyn_cast_poisoned_svalue2 ()->get_poison_kind (),
+  const svalue *new_p_sval = model.get_rvalue (p, &ctxt);
+  ASSERT_EQ (new_p_sval->get_kind (), svalue::SK_POISONED);
+  ASSERT_EQ (new_p_sval->dyn_cast_poisoned_svalue ()->get_poison_kind (),
 	     POISON_KIND_POPPED_STACK);
 
-  /* Verify that q still points to p, in spite of the region2
+  /* Verify that q still points to p, in spite of the region
      renumbering.  */
-  const svalue2 *new_q_sval = model.get_rvalue (q, &ctxt);
-  ASSERT_EQ (new_q_sval->get_kind (), svalue2::SK_REGION);
-  ASSERT_EQ (new_q_sval->dyn_cast_region_svalue2 ()->get_pointee (),
+  const svalue *new_q_sval = model.get_rvalue (q, &ctxt);
+  ASSERT_EQ (new_q_sval->get_kind (), svalue::SK_REGION);
+  ASSERT_EQ (new_q_sval->dyn_cast_region_svalue ()->get_pointee (),
 	     model.get_lvalue (p, &ctxt));
 
   /* Verify that top of stack has been updated.  */
@@ -9853,9 +8420,9 @@ test_stack_frames ()
 
   /* Verify locals in parent frame.  */
   /* Verify "a" still has its value.  */
-  const svalue2 *new_a_sval = model.get_rvalue (a, &ctxt);
-  ASSERT_EQ (new_a_sval->get_kind (), svalue2::SK_CONSTANT);
-  ASSERT_EQ (new_a_sval->dyn_cast_constant_svalue2 ()->get_constant (),
+  const svalue *new_a_sval = model.get_rvalue (a, &ctxt);
+  ASSERT_EQ (new_a_sval->get_kind (), svalue::SK_CONSTANT);
+  ASSERT_EQ (new_a_sval->dyn_cast_constant_svalue ()->get_constant (),
 	     int_42);
   /* Verify "b" still has its constraint.  */
   ASSERT_EQ (model.eval_condition (b, LT_EXPR, int_10, &ctxt),
@@ -9863,7 +8430,7 @@ test_stack_frames ()
 }
 
 /* Verify that get_representative_path_var works as expected, that
-   we can map from region2s to parms and back within a recursive call
+   we can map from regions to parms and back within a recursive call
    stack.  */
 
 static void
@@ -9880,31 +8447,31 @@ test_get_representative_path_var ()
 		       get_identifier ("n"),
 		       integer_type_node);
 
-  region_model2_manager mgr;
-  test_region_model2_context ctxt;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  test_region_model_context ctxt;
+  region_model model (&mgr);
 
   /* Push 5 stack frames for "factorial", each with a param  */
-  auto_vec<const region2 *> parm_regs;
-  auto_vec<const svalue2 *> parm_svals;
+  auto_vec<const region *> parm_regs;
+  auto_vec<const svalue *> parm_svals;
   for (int depth = 0; depth < 5; depth++)
     {
-      const region2 *frame_n_reg
+      const region *frame_n_reg
 	= model.push_frame (DECL_STRUCT_FUNCTION (fndecl), NULL, &ctxt);
-      const region2 *parm_n_reg = model.get_lvalue (path_var (n, depth), &ctxt);
+      const region *parm_n_reg = model.get_lvalue (path_var (n, depth), &ctxt);
       parm_regs.safe_push (parm_n_reg);
 
       ASSERT_EQ (parm_n_reg->get_parent_region (), frame_n_reg);
-      const svalue2 *sval_n = mgr.get_or_create_initial_value (parm_n_reg);
+      const svalue *sval_n = mgr.get_or_create_initial_value (parm_n_reg);
       parm_svals.safe_push (sval_n);
     }
 
-  /* Verify that we can recognize that the region2s are the parms,
+  /* Verify that we can recognize that the regions are the parms,
      at every depth.  */
   for (int depth = 0; depth < 5; depth++)
     {
       {
-	hash_set <const svalue2 *> visited;
+	hash_set <const svalue *> visited;
 	ASSERT_EQ (model.get_representative_path_var (parm_regs[depth],
 						      &visited),
 		   path_var (n, depth + 1));
@@ -9913,9 +8480,9 @@ test_get_representative_path_var ()
 	 not just the top.  */
       ASSERT_EQ (model.get_lvalue (path_var (n, depth), NULL),
 		 parm_regs[depth]);
-      /* ...and that we can locate the svalue2s.  */
+      /* ...and that we can locate the svalues.  */
       {
-	hash_set <const svalue2 *> visited;
+	hash_set <const svalue *> visited;
 	ASSERT_EQ (model.get_representative_path_var (parm_svals[depth],
 						      &visited),
 		   path_var (n, depth + 1));
@@ -9923,7 +8490,7 @@ test_get_representative_path_var ()
     }
 }
 
-/* Verify that "empty" region_model2 instances are equal to each other.  */
+/* Verify that "empty" region_model instances are equal to each other.  */
 
 static void
 test_model_equality_1 ()
@@ -9931,9 +8498,9 @@ test_model_equality_1 ()
   tree int_42 = build_int_cst (integer_type_node, 42);
   tree int_17 = build_int_cst (integer_type_node, 17);
 
-  region_model2_manager mgr;
-  region_model2 model0 (&mgr);
-  region_model2 model1 (&mgr);
+  region_model_manager mgr;
+  region_model model0 (&mgr);
+  region_model model1 (&mgr);
   ASSERT_EQ (model0, model1);
 
   /* Verify that setting state in model1 makes the models non-equal.  */
@@ -9943,7 +8510,7 @@ test_model_equality_1 ()
   ASSERT_NE (model0, model1);
 
   /* Verify the copy-ctor.  */
-  region_model2 model2 (model0);
+  region_model model2 (model0);
   ASSERT_EQ (model0, model2);
   ASSERT_EQ (model2.get_rvalue (x, NULL)->maybe_get_constant (), int_42);
   ASSERT_NE (model1, model2);
@@ -9956,7 +8523,7 @@ test_model_equality_1 ()
   ASSERT_EQ (model0.get_rvalue (x, NULL)->maybe_get_constant (), int_42);
 }
 
-/* Verify that region2 models for
+/* Verify that region models for
       x = 42; y = 113;
    and
       y = 113; x = 42;
@@ -9970,8 +8537,8 @@ test_model_equality_2 ()
   tree x = build_global_decl ("x", integer_type_node);
   tree y = build_global_decl ("y", integer_type_node);
 
-  region_model2_manager mgr;
-  region_model2 model0 (&mgr);
+  region_model_manager mgr;
+  region_model model0 (&mgr);
   model0.set_value (model0.get_lvalue (x, NULL),
 		    model0.get_rvalue (int_42, NULL),
 		    NULL);
@@ -9979,7 +8546,7 @@ test_model_equality_2 ()
 		    model0.get_rvalue (int_113, NULL),
 		    NULL);
 
-  region_model2 model1 (&mgr);
+  region_model model1 (&mgr);
   model1.set_value (model1.get_lvalue (y, NULL),
 		    model1.get_rvalue (int_113, NULL),
 		    NULL);
@@ -10004,12 +8571,12 @@ test_model_equality_3 ()
   tree x = build_global_decl ("x", integer_type_node);
   tree y = build_global_decl ("y", integer_type_node);
 
-  region_model2_manager mgr;
-  region_model2 model0 (&mgr);
+  region_model_manager mgr;
+  region_model model0 (&mgr);
   model0.add_constraint (x, GT_EXPR, int_3, NULL);
   model0.add_constraint (y, GT_EXPR, int_42, NULL);
 
-  region_model2 model1 (&mgr);
+  region_model model1 (&mgr);
   model1.add_constraint (y, GT_EXPR, int_42, NULL);
   model1.add_constraint (x, GT_EXPR, int_3, NULL);
 
@@ -10028,7 +8595,7 @@ test_model_equality_4 ()
   auto_vec<tree> csts;
   append_interesting_constants (&csts);
 
-  region_model2 model;
+  region_model model;
 
   unsigned i;
   tree cst;
@@ -10039,23 +8606,23 @@ test_model_equality_4 ()
 }
 #endif
 
-/* Assert that if we have two region_model2 instances
+/* Assert that if we have two region_model instances
    with values VAL_A and VAL_B for EXPR that they are
    mergable.  Write the merged model to *OUT_MERGED_MODEL,
-   and the merged svalue2 ptr to *OUT_MERGED_SVALUE2.
+   and the merged svalue ptr to *OUT_MERGED_SVALUE.
    If VAL_A or VAL_B are NULL_TREE, don't populate EXPR
-   for that region_model2.  */
+   for that region_model.  */
 
 static void
-assert_region_model2s_merge (tree expr, tree val_a, tree val_b,
-			     region_model2 *out_merged_model,
-			     const svalue2 **out_merged_svalue2)
+assert_region_models_merge (tree expr, tree val_a, tree val_b,
+			     region_model *out_merged_model,
+			     const svalue **out_merged_svalue)
 {
   program_point point (program_point::origin ());
-  test_region_model2_context ctxt;
-  region_model2_manager *mgr = out_merged_model->get_manager ();
-  region_model2 model0 (mgr);
-  region_model2 model1 (mgr);
+  test_region_model_context ctxt;
+  region_model_manager *mgr = out_merged_model->get_manager ();
+  region_model model0 (mgr);
+  region_model model1 (mgr);
   if (val_a)
     model0.set_value (model0.get_lvalue (expr, &ctxt),
 		      model0.get_rvalue (val_a, &ctxt),
@@ -10067,10 +8634,10 @@ assert_region_model2s_merge (tree expr, tree val_a, tree val_b,
 
   /* They should be mergeable.  */
   ASSERT_TRUE (model0.can_merge_with_p (model1, point, out_merged_model));
-  *out_merged_svalue2 = out_merged_model->get_rvalue (expr, &ctxt);
+  *out_merged_svalue = out_merged_model->get_rvalue (expr, &ctxt);
 }
 
-/* Verify that we can merge region_model2 instances.  */
+/* Verify that we can merge region_model instances.  */
 
 static void
 test_state_merging ()
@@ -10101,12 +8668,12 @@ test_state_merging ()
 		       ptr_type_node);
 
   program_point point (program_point::origin ());
-  region_model2_manager mgr;
+  region_model_manager mgr;
 
   {
-    region_model2 model0 (&mgr);
-    region_model2 model1 (&mgr);
-    region_model2 merged (&mgr);
+    region_model model0 (&mgr);
+    region_model model1 (&mgr);
+    region_model merged (&mgr);
     /* Verify empty models can be merged.  */
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
     ASSERT_EQ (model0, merged);
@@ -10117,10 +8684,10 @@ test_state_merging ()
   /* TODO: verify that the merged model doesn't have a value for
      the global  */
   {
-    region_model2 model0 (&mgr);
-    region_model2 model1 (&mgr);
-    region_model2 merged (&mgr);
-    test_region_model2_context ctxt;
+    region_model model0 (&mgr);
+    region_model model1 (&mgr);
+    region_model merged (&mgr);
+    test_region_model_context ctxt;
     model0.add_constraint (x, EQ_EXPR, int_42, &ctxt);
     model1.add_constraint (x, EQ_EXPR, int_113, &ctxt);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
@@ -10130,9 +8697,9 @@ test_state_merging ()
 
   /* Verify handling of a PARM_DECL.  */
   {
-    test_region_model2_context ctxt;
-    region_model2 model0 (&mgr);
-    region_model2 model1 (&mgr);
+    test_region_model_context ctxt;
+    region_model model0 (&mgr);
+    region_model model1 (&mgr);
     ASSERT_EQ (model0.get_stack_depth (), 0);
     model0.push_frame (DECL_STRUCT_FUNCTION (test_fndecl), NULL, &ctxt);
     ASSERT_EQ (model0.get_stack_depth (), 1);
@@ -10142,7 +8709,7 @@ test_state_merging ()
 #endif
     model1.push_frame (DECL_STRUCT_FUNCTION (test_fndecl), NULL, &ctxt);
 
-    placeholder_svalue2 test_sval (integer_type_node, "test sval");
+    placeholder_svalue test_sval (integer_type_node, "test sval");
     model0.set_value (model0.get_lvalue (a, &ctxt), &test_sval, &ctxt);
     model1.set_value (model1.get_lvalue (a, &ctxt), &test_sval, &ctxt);
     ASSERT_EQ (model0, model1);
@@ -10154,7 +8721,7 @@ test_state_merging ()
 #endif
 
     /* They should be mergeable, and the result should be the same.  */
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
     ASSERT_EQ (model0, merged);
     /* In particular, "a" should have the placeholder value.  */
@@ -10164,11 +8731,11 @@ test_state_merging ()
   // FIXME: uses "set_to_new_unknown_value"
   /* Verify handling of a global.  */
   {
-    test_region_model2_context ctxt;
-    region_model2 model0 (&mgr);
-    region_model2 model1 (&mgr);
+    test_region_model_context ctxt;
+    region_model model0 (&mgr);
+    region_model model1 (&mgr);
 
-    placeholder_svalue2 test_sval (integer_type_node, "test sval");
+    placeholder_svalue test_sval (integer_type_node, "test sval");
     model0.set_value (model0.get_lvalue (x, &ctxt), &test_sval, &ctxt);
     model1.set_value (model1.get_lvalue (x, &ctxt), &test_sval, &ctxt);
     ASSERT_EQ (model0, model1);
@@ -10180,7 +8747,7 @@ test_state_merging ()
 #endif
 
     /* They should be mergeable, and the result should be the same.  */
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
     ASSERT_EQ (model0, merged);
     /* In particular, "x" should have the placeholder value.  */
@@ -10191,54 +8758,54 @@ test_state_merging ()
 
   /* Two equal constant values.  */
   {
-    region_model2 merged (&mgr);
-    const svalue2 *merged_x_sval;
-    assert_region_model2s_merge (x, int_42, int_42, &merged, &merged_x_sval);
+    region_model merged (&mgr);
+    const svalue *merged_x_sval;
+    assert_region_models_merge (x, int_42, int_42, &merged, &merged_x_sval);
 
     /* In particular, there should be a constant value for "x".  */
-    ASSERT_EQ (merged_x_sval->get_kind (), svalue2::SK_CONSTANT);
-    ASSERT_EQ (merged_x_sval->dyn_cast_constant_svalue2 ()->get_constant (),
+    ASSERT_EQ (merged_x_sval->get_kind (), svalue::SK_CONSTANT);
+    ASSERT_EQ (merged_x_sval->dyn_cast_constant_svalue ()->get_constant (),
 	       int_42);
   }
 
   /* Two non-equal constant values.  */
   {
-    region_model2 merged (&mgr);
-    const svalue2 *merged_x_sval;
-    assert_region_model2s_merge (x, int_42, int_113, &merged, &merged_x_sval);
+    region_model merged (&mgr);
+    const svalue *merged_x_sval;
+    assert_region_models_merge (x, int_42, int_113, &merged, &merged_x_sval);
 
     /* In particular, there should be an unknown value for "x".  */
     // FIXME
 #if WIDENING
-    ASSERT_EQ (merged_x_sval->get_kind (), svalue2::SK_WIDENING);
+    ASSERT_EQ (merged_x_sval->get_kind (), svalue::SK_WIDENING);
 #else
-    ASSERT_EQ (merged_x_sval->get_kind (), svalue2::SK_UNKNOWN);
+    ASSERT_EQ (merged_x_sval->get_kind (), svalue::SK_UNKNOWN);
 #endif
   }
 
   /* Uninit and constant.  */
   {
-    region_model2 merged (&mgr);
-    const svalue2 *merged_x_sval;
+    region_model merged (&mgr);
+    const svalue *merged_x_sval;
     // FIXME:
 #if 0
-    assert_region_model2s_merge (x, NULL_TREE, int_113, &merged, &merged_x_sval);
+    assert_region_models_merge (x, NULL_TREE, int_113, &merged, &merged_x_sval);
 
     /* In particular, there should be an unknown value for "x".  */
-    ASSERT_EQ (merged_x_sval->get_kind (), svalue2::SK_UNKNOWN);
+    ASSERT_EQ (merged_x_sval->get_kind (), svalue::SK_UNKNOWN);
 #endif
   }
 
   /* Constant and uninit.  */
   {
-    region_model2 merged (&mgr);
-    const svalue2 *merged_x_sval;
+    region_model merged (&mgr);
+    const svalue *merged_x_sval;
     // FIXME:
 #if 0
-    assert_region_model2s_merge (x, int_42, NULL_TREE, &merged, &merged_x_sval);
+    assert_region_models_merge (x, int_42, NULL_TREE, &merged, &merged_x_sval);
 
     /* In particular, there should be an unknown value for "x".  */
-    ASSERT_EQ (merged_x_sval->get_kind (), svalue2::SK_UNKNOWN);
+    ASSERT_EQ (merged_x_sval->get_kind (), svalue::SK_UNKNOWN);
 #endif
   }
 
@@ -10253,66 +8820,66 @@ test_state_merging ()
 
   /* Pointers: non-NULL and non-NULL: ptr to a local.  */
   {
-    region_model2 model0 (&mgr);
+    region_model model0 (&mgr);
     model0.push_frame (DECL_STRUCT_FUNCTION (test_fndecl), NULL, NULL);
     model0.set_value (model0.get_lvalue (p, NULL),
 		      model0.get_rvalue (addr_of_a, NULL), NULL);
 
-    region_model2 model1 (model0);
+    region_model model1 (model0);
     ASSERT_EQ (model0, model1);
 
     /* They should be mergeable, and the result should be the same.  */
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
     ASSERT_EQ (model0, merged);
   }
 
   /* Pointers: non-NULL and non-NULL: ptr to a global.  */
   {
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     /* p == &y in both input models.  */
-    const svalue2 *merged_p_sval;
-    assert_region_model2s_merge (p, addr_of_y, addr_of_y, &merged,
+    const svalue *merged_p_sval;
+    assert_region_models_merge (p, addr_of_y, addr_of_y, &merged,
 				&merged_p_sval);
 
     /* We should get p == &y in the merged model.  */
-    ASSERT_EQ (merged_p_sval->get_kind (), svalue2::SK_REGION);
-    const region_svalue2 *merged_p_ptr
-      = merged_p_sval->dyn_cast_region_svalue2 ();
-    const region2 *merged_p_star_reg = merged_p_ptr->get_pointee ();
+    ASSERT_EQ (merged_p_sval->get_kind (), svalue::SK_REGION);
+    const region_svalue *merged_p_ptr
+      = merged_p_sval->dyn_cast_region_svalue ();
+    const region *merged_p_star_reg = merged_p_ptr->get_pointee ();
     ASSERT_EQ (merged_p_star_reg, merged.get_lvalue (y, NULL));
   }
 
   /* Pointers: non-NULL ptrs to different globals: should be unknown.  */
   {
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     /* x == &y vs x == &z in the input models; these are actually casts
        of the ptrs to "int".  */
-    const svalue2 *merged_x_sval;
+    const svalue *merged_x_sval;
     // TODO:
-    assert_region_model2s_merge (x, addr_of_y, addr_of_z, &merged,
+    assert_region_models_merge (x, addr_of_y, addr_of_z, &merged,
 				&merged_x_sval);
 
     /* We should get x == unknown in the merged model.  */
-    ASSERT_EQ (merged_x_sval->get_kind (), svalue2::SK_UNKNOWN);
+    ASSERT_EQ (merged_x_sval->get_kind (), svalue::SK_UNKNOWN);
   }
 
-  /* Pointers: non-NULL and non-NULL: ptr to a heap region2.  */
+  /* Pointers: non-NULL and non-NULL: ptr to a heap region.  */
   {
-    test_region_model2_context ctxt;
-    region_model2 model0 (&mgr);
+    test_region_model_context ctxt;
+    region_model model0 (&mgr);
     tree size = build_int_cst (integer_type_node, 1024);
-    const svalue2 *size_sval = mgr.get_or_create_constant_svalue2 (size);
-    const region2 *new_reg = model0.create_region_for_heap_alloc (size_sval);
-    const svalue2 *ptr_sval = mgr.get_ptr_svalue2 (ptr_type_node, new_reg);
+    const svalue *size_sval = mgr.get_or_create_constant_svalue (size);
+    const region *new_reg = model0.create_region_for_heap_alloc (size_sval);
+    const svalue *ptr_sval = mgr.get_ptr_svalue (ptr_type_node, new_reg);
     model0.set_value (model0.get_lvalue (p, &ctxt),
 		      ptr_sval, &ctxt);
 
-    region_model2 model1 (model0);
+    region_model model1 (model0);
 
     ASSERT_EQ (model0, model1);
 
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
 
     /* The merged model ought to be identical.  */
@@ -10321,19 +8888,19 @@ test_state_merging ()
 
   // FIXME: uses "set_to_new_unknown_value"
 #if 0
-  /* Two region2s sharing the same unknown svalue2 should continue sharing
-     an unknown svalue2 after self-merger.  */
+  /* Two regions sharing the same unknown svalue should continue sharing
+     an unknown svalue after self-merger.  */
   {
-    test_region_model2_context ctxt;
-    region_model2 model0 (&mgr);
-    const svalue2 *sval
+    test_region_model_context ctxt;
+    region_model model0 (&mgr);
+    const svalue *sval
       = model0.set_to_new_unknown_value (model0.get_lvalue (x, &ctxt),
 					 integer_type_node, &ctxt);
     model0.set_value (model0.get_lvalue (y, &ctxt), sval, &ctxt);
-    region_model2 model1 (model0);
+    region_model model1 (model0);
 
     /* They should be mergeable, and the result should be the same.  */
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
     ASSERT_EQ (model0, merged);
 
@@ -10344,51 +8911,51 @@ test_state_merging ()
 #endif
 
   {
-    region_model2 model0 (&mgr);
-    region_model2 model1 (&mgr);
-    test_region_model2_context ctxt;
+    region_model model0 (&mgr);
+    region_model model1 (&mgr);
+    test_region_model_context ctxt;
     model0.add_constraint (x, EQ_EXPR, int_42, &ctxt);
     model1.add_constraint (x, NE_EXPR, int_42, &ctxt);
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
   }
 
   {
-    region_model2 model0 (&mgr);
-    region_model2 model1 (&mgr);
-    test_region_model2_context ctxt;
+    region_model model0 (&mgr);
+    region_model model1 (&mgr);
+    test_region_model_context ctxt;
     model0.add_constraint (x, EQ_EXPR, int_42, &ctxt);
     model1.add_constraint (x, NE_EXPR, int_42, &ctxt);
     model1.add_constraint (x, EQ_EXPR, int_113, &ctxt);
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
   }
 
   // TODO: what can't we merge? need at least one such test
 
   /* TODO: various things
-     - heap region2s
+     - heap regions
      - value merging:
        - every combination, but in particular
-          - pairs of region2s
+	   - pairs of regions
    */
 
   /* Views.  */
   {
 #if 0
-    test_region_model2_context ctxt;
-    region_model2 model0 (&mgr);
+    test_region_model_context ctxt;
+    region_model model0 (&mgr);
 
-    const region2 *x_reg = model0.get_lvalue (x, &ctxt);
-    const region2 *x_as_ptr = model0.get_or_create_view (x_reg, ptr_type_node,
+    const region *x_reg = model0.get_lvalue (x, &ctxt);
+    const region *x_as_ptr = model0.get_or_create_view (x_reg, ptr_type_node,
 							 &ctxt);
     model0.set_value (x_as_ptr, model0.get_rvalue (addr_of_y, &ctxt), &ctxt);
 
-    region_model2 model1 (model0);
+    region_model model1 (model0);
     ASSERT_EQ (model1, model0);
 
     /* They should be mergeable, and the result should be the same.  */
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
 #endif
   }
@@ -10397,32 +8964,32 @@ test_state_merging ()
      frame points to a local in a more recent stack frame.  */
   {
 #if 0
-    region_model2 model0 (&mgr);
+    region_model model0 (&mgr);
     model0.push_frame (DECL_STRUCT_FUNCTION (test_fndecl), NULL, NULL);
-    const region2 *q_in_first_frame = model0.get_lvalue (q, NULL);
+    const region *q_in_first_frame = model0.get_lvalue (q, NULL);
 
     /* Push a second frame.  */
-    const region2 *reg_2nd_frame
+    const region *reg_2nd_frame
       = model0.push_frame (DECL_STRUCT_FUNCTION (test_fndecl), NULL, NULL);
 
     /* Have a pointer in the older frame point to a local in the
        more recent frame.  */
-    const svalue2 *sval_ptr = model0.get_rvalue (addr_of_a, NULL);
+    const svalue *sval_ptr = model0.get_rvalue (addr_of_a, NULL);
     model0.set_value (q_in_first_frame, sid_ptr, NULL);
 
     /* Verify that it's pointing at the newer frame.  */
-    const region2 *reg_pointee
-      = model0.get_svalue2 (sid_ptr)->dyn_cast_region_svalue2 ()->get_pointee ();
-    ASSERT_EQ (model0.get_region2 (rid_pointee)->get_parent (), rid_2nd_frame);
+    const region *reg_pointee
+      = model0.get_svalue (sid_ptr)->dyn_cast_region_svalue ()->get_pointee ();
+    ASSERT_EQ (model0.get_region (rid_pointee)->get_parent (), rid_2nd_frame);
 
     model0.canonicalize (NULL);
 
-    region_model2 model1 (model0);
+    region_model model1 (model0);
     ASSERT_EQ (model0, model1);
 
     /* They should be mergeable, and the result should be the same
        (after canonicalization, at least).  */
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
     merged.canonicalize (NULL);
     ASSERT_EQ (model0, merged);
@@ -10431,23 +8998,23 @@ test_state_merging ()
 
   /* Verify that we can merge a model in which a local points to a global.  */
   {
-    region_model2 model0 (&mgr);
+    region_model model0 (&mgr);
     model0.push_frame (DECL_STRUCT_FUNCTION (test_fndecl), NULL, NULL);
     model0.set_value (model0.get_lvalue (q, NULL),
 		      model0.get_rvalue (addr_of_y, NULL), NULL);
 
-    region_model2 model1 (model0);
+    region_model model1 (model0);
     ASSERT_EQ (model0, model1);
 
     /* They should be mergeable, and the result should be the same
        (after canonicalization, at least).  */
-    region_model2 merged (&mgr);
+    region_model merged (&mgr);
     ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
     ASSERT_EQ (model0, merged);
   }
 }
 
-/* Verify that constraints are correctly merged when merging region_model2
+/* Verify that constraints are correctly merged when merging region_model
    instances.  */
 
 static void
@@ -10460,17 +9027,17 @@ test_constraint_merging ()
   tree z = build_global_decl ("z", integer_type_node);
   tree n = build_global_decl ("n", integer_type_node);
 
-  region_model2_manager mgr;
-  test_region_model2_context ctxt;
+  region_model_manager mgr;
+  test_region_model_context ctxt;
 
   /* model0: 0 <= (x == y) < n.  */
-  region_model2 model0 (&mgr);
+  region_model model0 (&mgr);
   model0.add_constraint (x, EQ_EXPR, y, &ctxt);
   model0.add_constraint (x, GE_EXPR, int_0, NULL);
   model0.add_constraint (x, LT_EXPR, n, NULL);
 
   /* model1: z != 5 && (0 <= x < n).  */
-  region_model2 model1 (&mgr);
+  region_model model1 (&mgr);
   model1.add_constraint (z, NE_EXPR, int_5, NULL);
   model1.add_constraint (x, GE_EXPR, int_0, NULL);
   model1.add_constraint (x, LT_EXPR, n, NULL);
@@ -10478,7 +9045,7 @@ test_constraint_merging ()
   /* They should be mergeable; the merged constraints should
      be: (0 <= x < n).  */
   program_point point (program_point::origin ());
-  region_model2 merged (&mgr);
+  region_model merged (&mgr);
   ASSERT_TRUE (model0.can_merge_with_p (model1, point, &merged));
 
   ASSERT_EQ (merged.eval_condition (x, GE_EXPR, int_0, &ctxt),
@@ -10502,17 +9069,17 @@ test_widening_constraints ()
   tree int_m1 = build_int_cst (integer_type_node, -1);
   tree int_1 = build_int_cst (integer_type_node, 1);
   tree int_256 = build_int_cst (integer_type_node, 256);
-  region_model2_manager mgr;
-  test_region_model2_context ctxt;
-  const svalue2 *int_0_sval = mgr.get_or_create_constant_svalue2 (int_0);
-  const svalue2 *int_1_sval = mgr.get_or_create_constant_svalue2 (int_1);
-  const svalue2 *w_zero_then_one_sval
-    = mgr.get_or_create_widening_svalue2 (integer_type_node, point,
+  region_model_manager mgr;
+  test_region_model_context ctxt;
+  const svalue *int_0_sval = mgr.get_or_create_constant_svalue (int_0);
+  const svalue *int_1_sval = mgr.get_or_create_constant_svalue (int_1);
+  const svalue *w_zero_then_one_sval
+    = mgr.get_or_create_widening_svalue (integer_type_node, point,
 					  int_0_sval, int_1_sval);
-  const widening_svalue2 *w_zero_then_one
-    = w_zero_then_one_sval->dyn_cast_widening_svalue2 ();
+  const widening_svalue *w_zero_then_one
+    = w_zero_then_one_sval->dyn_cast_widening_svalue ();
   ASSERT_EQ (w_zero_then_one->get_direction (),
-	     widening_svalue2::DIR_ASCENDING);
+	     widening_svalue::DIR_ASCENDING);
   ASSERT_EQ (w_zero_then_one->eval_condition_without_cm (LT_EXPR, int_m1),
 	     tristate::TS_FALSE);
   ASSERT_EQ (w_zero_then_one->eval_condition_without_cm (LT_EXPR, int_0),
